package api_types

import "git.home.m-and-m.ovh/mderasse/gouick/models"

// APITypeInterface is the interface that need to be respected by an APIType.
type APITypeInterface interface {
	CheckInitialize() error
	GetName() models.APITypeName
	GetInitializeUserInput(params *models.Config) (*models.Config, error)
}
